Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.erlang
Interface OtpServerTransport

All Known Implementing Classes:
  OtpServerSocketTransport

    public interface OtpServerTransport

Server-side connection-oriented transport interface.

Method Summary
`OtpTransport` | `accept()`
`void` | `close()`
`int` | `getLocalPort()`

Method Detail

### getLocalPort

    int getLocalPort()

  See Also:
    `ServerSocket.getLocalPort()`

### accept

    OtpTransport accept()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocket.accept()`

### close

    void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `ServerSocket.close()`

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD